package com.qiaoba.module.system.service;

import com.qiaoba.api.system.entity.SysRoleMenu;

import java.util.List;

/**
 * 角色菜单关联 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/9 9:50
 */
public interface SysRoleMenuService {

    /**
     * 批量新增
     *
     * @param list list
     */
    void insertBatch(List<SysRoleMenu> list);

    /**
     * 通过角色ID批量删除角色和菜单的绑定关系
     *
     * @param ids 角色ids
     */
    void deleteByRoleIds(List<String> ids);

    /**
     * 通过角色ID删除角色和菜单的绑定关系
     *
     * @param roleId 角色id
     */
    void deleteByRoleId(String roleId);
}
